package business;

import java.util.List;


abstract public class Pessoa {

	private int id;
	private String nome;
	private String matricula;
	private List<Usuario> usuarios;

	public Pessoa() {
		super();
	}

	public int getId() {
		return id;
	}

	public String getMatricula() {
		return matricula;
	}

	public String getNome() {
		return nome;
	}

	public List<Usuario> getUsuarios() {
		return usuarios;
	}

	public void setId(int id) {
		this.id = id;
	}

	public void setMatricula(String matricula) {
		this.matricula = matricula;
	}

	public void setNome(String nome) {
		this.nome = nome;
	}

	public void setUsuarios(List<Usuario> usuarios) {
		this.usuarios = usuarios;
	}
	
	abstract public String getPerfil();
}